Subject: Re: readline 5.1 question
From: Bob Rossi <[email-masked]>
To: Eric Blake <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Jan 2006 11:09:18 -0500

On Fri, Jan 20, 2006 at 03:48:01PM +0000, Eric Blake wrote:
> > Hi all,
> > 
> > My application recently started depending on readline 5.1. In Cygwin, I
> > installed in setup.exe 
> >   All->Devel->readline, and I have version 5.1-1 as the current.
> 
> Did you also pick up libreadline6-5.1-1?  readline-5.1-1 only contains
> the headers and static link library, but using plain -lreadline without
> also using -static picks up the dynamic link library.  The .dll is purposefully
> shipped in a different package, since the .dll is required by base
> packages, but the headers and static libraries are only needed in
> a development environment.  I don't know of a way to make setup.exe
> force dependencies across experimental versions (ie. if you select
> just readline-5.1-1, it would be nice if cygwin.exe could then automatically
>also select libreadline6-5.1-1).

Thanks for the prompt reply. Yes, I think I did install that. It's very
odd to me that there is libreadline-6-5.1-1, since there is no readline
version 6. Are you suggesting the cygwin package manager has no way of
dealing with multiple version of a library?

> By the way, following the directions here, by attaching the output
> of cygcheck -svr, would have made it more obvious to me if you
> are experiencing the version mismatch that I think you are:
> > Problem reports:       http://cygwin.com/problems.html

Sorry, attached is the output.

Thanks,
Bob Rossi
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/